summaryrefslogtreecommitdiffstats
path: root/buildtools
diff options
context:
space:
mode:
authorEduard Braun <eduard.braun2@gmx.de>2017-09-14 17:20:13 +0000
committerEduard Braun <eduard.braun2@gmx.de>2017-09-14 17:20:13 +0000
commitf008c6912ab933175622fa45dff5cc50643c77b6 (patch)
tree46d893e0f92b37b928f56a8fde2dea30ce1856f1 /buildtools
parentAdded new LPE parameter to store Items array, also bugfixing in patharray par... (diff)
downloadinkscape-f008c6912ab933175622fa45dff5cc50643c77b6.tar.gz
inkscape-f008c6912ab933175622fa45dff5cc50643c77b6.zip
CI/AppVeyor: Enable tests
Patched Aspell [1] has fixed the SEGFAULTs on exit and additionally seems to have fixed the deadlocks when running tests. [1] https://github.com/Alexpux/MINGW-packages/pull/2872
Diffstat (limited to 'buildtools')
-rw-r--r--buildtools/appveyor.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/buildtools/appveyor.sh b/buildtools/appveyor.sh
index 0457b98d3..c9d2d1c74 100644
--- a/buildtools/appveyor.sh
+++ b/buildtools/appveyor.sh
@@ -67,8 +67,8 @@ if [ -n "$err" ]; then warning "installed executable produces output on stderr:"
INKSCAPE_DATADIR=../share bin/inkscape.exe -V >/dev/null || error "uninstalled executable won't run"
err=$(INKSCAPE_DATADIR=../share bin/inkscape.exe -V 2>&1 >/dev/null)
if [ -n "$err" ]; then warning "uninstalled executable produces output on stderr:"; echo "$err"; fi
-# run tests (don't fail yet as most tests SEGFAULT on exit)
-#ninja check || warning "tests failed" # disabled because of sporadic deadlocks :-(
+# run tests (don't fail yet as some need to be fixed first)
+ninja check || warning "tests failed"
message "##### BUILD SUCCESSFULL #####\n\n"